.toggle {
  &--small {
    .toggle__box {
      width: 28px;
      height: 16px;

      &::before {
        width: 12px;
        height: 12px;
      }
    }


    .toggle__input {
      &:checked + .toggle__box {
        &::before {
          left: 14px;
        }
      }
    }
  }

}

.toggle__box {
  display: block;
  content: "";
  position: relative;
  background: #E6E6E6;
  border-radius: 16px;
  width: 44px;
  transition: all 0.3s;
  height: 22px;
  cursor: pointer;
  &::before {
    @include pseudo;
    width: 18px;
    height: 18px;
    filter: drop-shadow(0px 2px 4px rgba(0, 35, 11, 0.2));
    border-radius: 50%;
    background-color: #ffffff;
    position: absolute;
    top: 2px;
    left: 2px;
    transition: all 0.3s;
  }
}

.toggle__input {
  position: absolute;
  left: -9999px;
  &:checked + .toggle__box {
    background: #FF0000;
    &::before {
      left: 23px;
    }
  }
}
